### Method

# Gck Session find_objects

#### Declaration [src]

    GList*
    gck_session_find_objects (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Find the objects matching the passed attributes. This call may block for an indefinite period.

If `match` is a floating reference, it is consumed.

#### Parameters

`match`

  Type: `GckAttributes`

  The attributes to match.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GckObject*`

A list of the matching objects, which may be empty.

The caller of the method takes ownership of the data, and is responsible for freeing it.